# OpenTelemetry Collector Kubernetes Distro

This distribution is made specifically to be used in a Kubernetes cluster to monitor Kubernetes and services running in Kubernetes. It contains a subset of components from [OpenTelemetry Collector Core](https://github.com/open-telemetry/opentelemetry-collector) and [OpenTelemetry Collector Contrib](https://github.com/open-telemetry/opentelemetry-collector-contrib).

## Components

The full list of components is available in the [manifest](manifest.yaml).

### Rules for Component Inclusion

 - Only includes components from Contrib and Core.
 - Only components that are Alpha or higher.
 - All receivers must facilitate the collection of data that is generated by Kubernetes or services running in Kubernetes 
   - Although you could run a Collector in Kubernetes to reach out to any endpoint, this distribution is not targeting that use case. This distribution is for monitoring Kubernetes and the processes it runs. 
 - All components must be vendor-neutral.
 - Only exporters that use OTLP are allowed.
   - To facilitate troubleshooting, the nop, debug, and file exporters are exceptions.
 - All technologies OTel promised to support will be included as receivers. Specifically this means the `jaegerreceiver`, `zipkinreceiver`, `opencensusreceiver`, and `prometheusreceiver` will be included.